DROP FUNCTION IF EXISTS public.internalisteacherlessonbound(pteacherid integer, lessonid integer);
CREATE OR REPLACE FUNCTION public.internalisteacherlessonbound(pteacherid integer, lessonid integer)
    RETURNS boolean
    LANGUAGE plpgsql
AS $function$
BEGIN
    RETURN EXISTS (
            SELECT * FROM disciplines_teachers
                              JOIN disciplines ON disciplines.id = disciplines_teachers.disciplineid
                              JOIN lessons on lessons.discipline_id = disciplines.id
            WHERE disciplines_teachers.TeacherID = pTeacherID AND lessons.id = lessonid
        );
END
$function$;